Commit 0a098181 authored by Stefano Belforte's avatar Stefano Belforte
Browse files

check for SL5 first

parent 80d70683
......@@ -18,10 +18,6 @@ id
set +x
echo "<h2><a name="Analysis Test"></a>Analysis Test</h2>"
# check for SL5
if ! [ -f /lib/libc-2.5.so ] ; then
exit $SAME_NOTICE
fi
# Source the CMS environment
echo "<h3>Sourcing the CMS environment</h3>"
......@@ -37,6 +33,33 @@ else
fi
tmpfile=`mktemp /tmp/tmp.XXXXXXXXXX`
echo "<pre>"
set -x
# check for SL5
libc25=1
if ! [ -f $VO_CMS_SW_DIR/bin/cmsos ] ; then
echo "$VO_CMS_SW_DIR/bin/cmsos not found"
slVersion="slc5"
else
osVersion=`$SW_DIR/bin/cmsos`
echo "osVersion=" $osVersion
slVersion=`echo $osVersion|cut -d'_' -f1`
fi
echo "slVersion=" $slVersion
if ! [ -f /lib/libc-2.5.so ] ; then
echo "libc 2.5 not found, not an SL5 node"
libc25=0
fi
if ! [ $slVersion == "slc5" ] ; then
exit $SAME_NOTICE
fi
if [ $libc25 == "0" ] ; then
echo "ohibo' ! SL5 but no libc-2.5"
exit $SAME_INFO
fi
set +x
source $SW_DIR/cmsset_default.sh > $tmpfile 2>&1
result=$?
cat $tmpfile
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment